start_step=2

TOP="$HOME/src/android"
source "$TOP/android.sh"


cd "$TOP/ecl"

if [ $start_step -le 1 ] ; then
    ${NDK_PATH}/build/tools/make-standalone-toolchain.sh \
               --platform=${NDK_PLATFORM} \
               --install-dir=${PLATFORM_PREFIX} \
               --arch=arm
fi

#    Build the host compiler and the final library for the android:
if [ $start_step -le 2 ] ; then
    ./configure ABI=32 CFLAGS="-m32 -g -O2" LDFLAGS="-m32 -g -O2" \
                --disable-longdouble \
                --prefix="$PLATFORM_ECL" \
                --enable-libatomic=included
fi

if [ $start_step -le 3 ] ; then
    make && make install
    rm -r build
fi

if [ $start_step -le 4 ] ; then
    ./configure --host=arm-linux-androideabi \
                --prefix="$TOP/ecl-android" \
                --with-cross-config="$TOP/android.cross_config" \
                --disable-soname
fi

# You have to adjust build/cross_config to your settings (especially
# set ECL_TO_RUN to your host ecl)
if [ $start_step -le 5 ] ; then
    # make -j9
    # make install
    :
fi
